local M = {}

local running = true
local scenario = nil

local f = nil
local sloMo = 1

local helper = require('scenario/scenariohelper')


local function reset()
    running = false
end

local function fail(reason)
    scenarios.finish({failed = reason})
    reset()
end

local function success()
    local result = {msg = 'Damage done: $'..string.format("%0.2f", damage)..' X '..string.format("%0.0f", crash)..' = '..string.format("%0.2f", totalDamage)..''}
    scenarios.finish(result)
    reset()
end

local function onRaceStart()
    reset()


    helper.trackVehicle('scenario_player0', 'playerCar')

    running = true
end

local function onRaceTick(raceTickTime)
    if not running then
        return
    end

    local playerCarData = map.objects[map.objectNames['playerCar']]

    if not aiCarAData or not playerCarData then
        return
    end
	
end

local function onScenarioChange(sc)
    scenario = sc
end

M.onRaceStart = onRaceStart
M.onRaceTick = onRaceTick
M.onScenarioChange = onScenarioChange

return M